Subject: Re: [PATCH v6 00/11] Introduce git-history(1) command for easy history editing

From: Junio C Hamano <[email-masked]>
Date: Thu, 20 Nov 2025 12:49:04 -0800

Elijah Newren <[email-masked]> writes:

> On Thu, Nov 20, 2025 at 12:28 PM Junio C Hamano <[email-masked]> wrote:
>>
>> Elijah Newren <[email-masked]> writes:
>>
>> >> This patch series is a starting point for such a command. I've
>> >> significantly slimmed it down from the first couple revisions now
>> >> following the discussions at the Contributor's Summit yesterday. This
>> >> was my intent anyway, as I already mentioned on the last iteration.
>> >
>> > Sorry for taking so long to review the series now that it's based on
>> > replay.  Thanks for working on this!
>>
>> With your comments and Phillip's, it seems that we are very close to
>> a good stopping point.  Let me mark the topic as expecting a
>> hopefully small and final reroll before getting ready for 'next'.
>>
>> Thanks, all.
>
> I'm a little unsure if it'll be small or just one reroll.  Some of the
> changes for patches 5 & 9 might be big (but straightforward), there's
> also a couple design related questions (single branch, HEAD-centric)
> that might bring up bigger usability issues to address (if a commit
> being edited is part of multiple branches, do we just rewrite all of
> them by default, or error out unless the user specifies how they want
> it handled)?, and a potential gotcha on patch 11 (how can you preserve
> the index and working tree if the user edits the patch while splitting
> a commit?) that may require rethinking or restricting that feature.

Perhaps.  But I thought the existing patches limited its initial
scope small and manageable that by operating only on a single strand
of pearls, with an intention to extend to cover more cases later.  I
was hoping that we can start small and simple, initially limiting it
to single branch, etc., in other areas that require design
decisions.